import { Frame, NavigationEntry, Page } from '@nativescript/core';
import { App, Component, Ref } from '@vue/runtime-core';
import { NSVElement } from '../dom';
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        /**
         * todo: update docblock
         * Navigate to {target} component.
         *
         * The frame to navigate defaults to the topmost frame
         * @param target
         * @param options
         */
        $navigateTo: (target: Component, options?: NavigationOptions) => Page;
        $navigateBack: (options?: NavigationOptions) => void;
    }
}
type ResolvableFrame = string | Ref | NSVElement | Frame | undefined;
export interface NavigationOptions extends NavigationEntry {
    props?: Record<string, any>;
    frame?: ResolvableFrame;
}
export interface BackNavigationOptions {
    frame?: ResolvableFrame;
}
/**
 * @internal
 */
export declare function install(app: App): void;
export declare function $navigateTo(target: Component, options?: NavigationOptions): Page;
export declare function $navigateBack(options?: BackNavigationOptions): Promise<void>;
export {};
